=== debian/changelog ===
osm2pgsql (1.4.1+ds-2) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Add upstream patches:
    - 0001-Bugfix-Disable-expire-in-flex-output-when-not-used.patch
      Important performance fix.
    - 0001-Bug-fix-Remove-schema-name-from-CREATE-INDEX.patch
      Fix CREATE INDEX failure.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Apr 2021 15:59:14 +0200

osm2pgsql (1.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream metadata.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Feb 2021 05:23:03 +0100

osm2pgsql (1.4.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update Homepage URL.
  * Use lua5.3 instead of lua5.2.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Dec 2020 13:50:03 +0100
