=== debian/control ===
Source: osm2pgsql
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           David Paleino <dapal@debian.org>,
           Andreas Tille <tille@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10~),
               cmake,
               libboost-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libbz2-dev,
               libexpat1-dev,
               libosmium2-dev (>= 2.15.6),
               libpq-dev,
               libproj-dev,
               zlib1g-dev,
               liblua5.3-dev,
               lua5.3,
               python3,
               python3-psycopg2
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
Homepage: https://osm2pgsql.org/

Package: osm2pgsql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgis
Description: OpenStreetMap data to PostgreSQL converter
 Convert OSM planet snapshot data to SQL suitable for loading
 into a PostgreSQL database with PostGIS geospatial extensions. This
 database may then be used to render maps with Mapnik or for other
 geospatial analysis.
