## osm2pgsql 1.5.1+ds

=== debian/changelog ===
osm2pgsql (1.5.1+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:03:42 +0200

osm2pgsql (1.5.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Jul 2021 06:31:09 +0200

osm2pgsql (1.5.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Exclude rapidjson sources from repacked upstream tarball.
  * Use external rapidjson.
  * Update copyright file.
  * Require at least libosmium2-dev 2.17.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Jun 2021 07:02:20 +0200

osm2pgsql (1.4.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Apr 2021 15:33:42 +0200
