=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.15.6),
+               libosmium2-dev (>= 2.17.0),
                libpq-dev,
                libproj-dev,
+               rapidjson-dev,
                zlib1g-dev,
                liblua5.3-dev,
                lua5.3,
