=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DEXTERNAL_LIBOSMIUM=ON \
-	                     -DEXTERNAL_PROTOZERO=ON
+	                     -DEXTERNAL_PROTOZERO=ON \
+	                     -DEXTERNAL_RAPIDJSON=ON
 
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"
