## osm2pgsql 1.6.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
+               dh-python,
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.17.0),
+               libosmium2-dev (>= 2.17.3),
                libpq-dev,
                libproj-dev,
                rapidjson-dev,
@@ -21,15 +22,19 @@
                liblua5.3-dev,
                lua5.3,
                python3,
-               python3-psycopg2
-Standards-Version: 4.5.1
+               python3-psycopg2,
+               python3-pyosmium
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://osm2pgsql.org/
 
 Package: osm2pgsql
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: python3-psycopg2,
+         python3-pyosmium,
+         ${python3:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: postgis
 Description: OpenStreetMap data to PostgreSQL converter
