## osm2pgsql 1.6.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
-set(PACKAGE osm2pgsql)
-set(PACKAGE_NAME osm2pgsql)
-set(PACKAGE_VERSION 1.4.1)
-
-cmake_minimum_required(VERSION 2.8.12)
-
-project(osm2pgsql)
+
+cmake_minimum_required(VERSION 3.5.0)
+
+project(osm2pgsql VERSION 1.6.0 LANGUAGES CXX C)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+
+# Do not create install targets when run as a subproject.
+# Currently used by Nominatim which cannot yet rely on installed versions
+# of osm2pgsql.
+if (${PROJECT_NAME} STREQUAL ${CMAKE_PROJECT_NAME})
+    set(ENABLE_INSTALL ON)
+else()
+    set(ENABLE_INSTALL OFF)
+endif()
 
 if (WIN32)
     set(DEFAULT_STYLE "default.style" CACHE STRING "Default style used unless one is given on the command line")
@@ -25,32 +31,31 @@
     message(FATAL_ERROR "In-source builds are not allowed, please use a separate build directory like `mkdir build && cd build && cmake ..`")
 endif()
 
-message(STATUS "Building osm2pgsql ${PACKAGE_VERSION}")
+message(STATUS "Building osm2pgsql ${PROJECT_VERSION}")
 
 if (NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE RelWithDebInfo)
 endif()
 
 if (NOT "${CMAKE_CXX_STANDARD}")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 endif()
 message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if (MSVC)
-    add_definitions(-D_CRT_SECURE_NO_WARNINGS -DNOMINMAX -wd4996)
+    add_definitions(-D_CRT_SECURE_NO_WARNINGS -DNOMINMAX)
+    add_compile_options(-wd4996)
     set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /ignore:4099 /STACK:30000000")
 else()
-    add_definitions(-Wall)
-    if (CMAKE_VERSION VERSION_LESS 3.1)
-        add_definitions(-std=c++11)
-    endif()
+    add_compile_options(-Wall)
 endif()
 
 option(EXTERNAL_LIBOSMIUM "Do not use the bundled libosmium" OFF)
 option(EXTERNAL_PROTOZERO "Do not use the bundled protozero" OFF)
 option(EXTERNAL_FMT       "Do not use the bundled fmt"       OFF)
+option(EXTERNAL_RAPIDJSON "Do not use the bundled rapidjson" OFF)
 
 set(USE_PROJ_LIB "auto" CACHE STRING "Which version of PROJ API to use: ('4', '6', 'off', or 'auto')")
 
@@ -61,10 +66,10 @@
     set(PostgreSQL_TYPE_INCLUDE_DIR /usr/include)
 endif()
 
-set(MINIMUM_POSTGRESQL_SERVER_VERSION "9.3")
-set(MINIMUM_POSTGRESQL_SERVER_VERSION_NUM "90300")
-
-set(PostgreSQL_ADDITIONAL_VERSIONS "13" "12" "11" "10" "9.6" "9.5" "9.4" "9.3")
+set(MINIMUM_POSTGRESQL_SERVER_VERSION "9.5")
+set(MINIMUM_POSTGRESQL_SERVER_VERSION_NUM "90500")
+
+set(PostgreSQL_ADDITIONAL_VERSIONS "14" "13" "12" "11" "10" "9.6" "9.5")
 
 #############################################################
 # Version
@@ -74,7 +79,7 @@
 
 if (GIT_FOUND)
     execute_process(COMMAND "${GIT_EXECUTABLE}" describe --tags --dirty=-changed
-                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+                    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                     OUTPUT_VARIABLE VERSION_FROM_GIT
                     ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
     if (VERSION_FROM_GIT)
@@ -122,7 +127,7 @@
             message(STATUS "  found")
         endif()
 
-        add_definitions(-g -O0 -fno-inline-functions -fno-inline --coverage)
+        add_compile_options(-g -O0 -fno-inline-functions -fno-inline --coverage)
 
         set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage"
             CACHE
@@ -174,10 +179,14 @@
     set(FMT_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/fmt/include")
 endif()
 
+if (NOT EXTERNAL_RAPIDJSON)
+    set(RAPIDJSON_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/rapidjson/include")
+endif()
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_BINARY_DIR})
 
-find_package(Osmium 2.15.6 REQUIRED COMPONENTS io)
-include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR} ${FMT_INCLUDE_DIR})
+find_package(Osmium 2.17.3 REQUIRED COMPONENTS io)
+include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR} ${FMT_INCLUDE_DIR} ${RAPIDJSON_INCLUDE_DIR})
 
 if (WITH_LUA)
     if (WITH_LUAJIT)
@@ -283,7 +292,7 @@
 
 message(STATUS "Looking for clang-tidy")
 find_program(CLANG_TIDY
-             NAMES clang-tidy clang-tidy-10 clang-tidy-9 clang-tidy-8 clang-tidy-7)
+             NAMES clang-tidy clang-tidy-14 clang-tidy-13 clang-tidy-12 clang-tidy-11)
 
 if (CLANG_TIDY)
     message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")
@@ -324,5 +333,9 @@
 # Install
 #############################################################
 
-install(TARGETS osm2pgsql DESTINATION bin)
-install(FILES default.style empty.style DESTINATION share/osm2pgsql)
+if (ENABLE_INSTALL)
+    install(TARGETS osm2pgsql DESTINATION bin)
+    install(PROGRAMS scripts/osm2pgsql-replication DESTINATION bin)
+    install(FILES docs/osm2pgsql-replication.1 DESTINATION share/man/man1)
+    install(FILES default.style empty.style DESTINATION share/osm2pgsql)
+endif()
