=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
         -s
         -t man
         --template ${CMAKE_CURRENT_SOURCE_DIR}/manpage.template
-        --variable "version=${PACKAGE_VERSION}"
+        --variable "version=${PROJECT_VERSION}"
         --variable "title=OSM2PGSQL"
         --variable "section=1"
     )
@@ -27,5 +27,6 @@
     message(STATUS "  Manual page can not be built")
 endif()
 
-install(FILES osm2pgsql.1 DESTINATION share/man/man1)
-
+if (ENABLE_INSTALL)
+    install(FILES osm2pgsql.1 DESTINATION share/man/man1)
+endif()
