=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -45,26 +45,24 @@
 set_test(test-expire-tiles LABELS NoDB)
 set_test(test-geom LABELS NoDB)
 set_test(test-middle)
+set_test(test-node-locations LABELS NoDB)
 set_test(test-options-database LABELS NoDB)
 set_test(test-options-parse LABELS NoDB)
 set_test(test-options-projection)
+set_test(test-ordered-index LABELS NoDB)
 set_test(test-output-gazetteer)
-set_test(test-output-multi-line)
-set_test(test-output-multi-point)
-set_test(test-output-multi-point-multi-table)
-set_test(test-output-multi-polygon)
 set_test(test-output-pgsql)
 set_test(test-output-pgsql-area)
 set_test(test-output-pgsql-hstore-match-only)
 set_test(test-output-pgsql-int4)
 set_test(test-output-pgsql-schema)
+set_test(test-output-pgsql-style-file)
 set_test(test-output-pgsql-tablespace LABELS Tablespace)
 set_test(test-output-pgsql-validgeom)
 set_test(test-output-pgsql-z_order)
 set_test(test-parse-osmium LABELS NoDB)
 set_test(test-persistent-cache LABELS NoDB)
 set_test(test-pgsql)
-set_test(test-ram-cache LABELS NoDB)
 set_test(test-reprojection LABELS NoDB)
 set_test(test-taginfo LABELS NoDB)
 set_test(test-util LABELS NoDB)
@@ -72,13 +70,11 @@
 
 # these tests require LUA support
 if (HAVE_LUA)
-    set_test(test-output-multi-line-storage)
-    set_test(test-output-multi-poly-trivial)
-    set_test(test-output-multi-tags)
     set_test(test-output-flex)
     set_test(test-output-flex-area)
     set_test(test-output-flex-attr)
     set_test(test-output-flex-bbox)
+    set_test(test-output-flex-cluster)
     set_test(test-output-flex-invalid-geom)
     set_test(test-output-flex-line)
     set_test(test-output-flex-lua-fail)
@@ -103,8 +99,8 @@
     set_test(test-output-flex-way-relation-del)
 
     set_test(test-output-flex-example-configs)
-    set(FLEX_EXAMPLE_CONFIGS "compatible,data-types,generic,geometries,route-relations,simple,unitable")
-    # places.lua not tested because it needs dkjson package
+    set(FLEX_EXAMPLE_CONFIGS "attributes,compatible,data-types,generic,geometries,places,route-relations,simple,unitable")
+    # with-schema.lua is not tested because it needs the schema created in the database
     set_tests_properties(test-output-flex-example-configs PROPERTIES ENVIRONMENT "EXAMPLE_FILES=${FLEX_EXAMPLE_CONFIGS}")
 endif()
 
@@ -135,6 +131,7 @@
     set_tests_properties(regression-test-pbf PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
     set_tests_properties(regression-test-pbf
                          PROPERTIES FIXTURES_REQUIRED Tablespace)
+    set_tests_properties(regression-test-pbf PROPERTIES ENVIRONMENT OSM2PGSQL_BINARY=$<TARGET_FILE:osm2pgsql>)
     message(STATUS "Added test: regression-test-pbf (needs Python with psycopg2 module)")
 else()
     message(WARNING "Can not find python, regression test disabled")
