=== debian/changelog ===
osm2pgsql (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Require at least libosmium2-dev 2.17.3.
  * Update copyright file.
  * Add python3 dependencies for osm2pgsql-replication.
  * Add patch to fix manpage issues.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Jan 2022 19:20:23 +0100

osm2pgsql (1.5.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jan 2022 07:41:58 +0100
