## osm2pgsql 1.7.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 cmake_minimum_required(VERSION 3.5.0)
 
-project(osm2pgsql VERSION 1.6.0 LANGUAGES CXX C)
+project(osm2pgsql VERSION 1.7.0 LANGUAGES CXX C)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
@@ -38,7 +38,7 @@
 endif()
 
 if (NOT "${CMAKE_CXX_STANDARD}")
-    set(CMAKE_CXX_STANDARD 14)
+    set(CMAKE_CXX_STANDARD 17)
 endif()
 message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")
 set(CMAKE_CXX_EXTENSIONS OFF)
@@ -160,9 +160,6 @@
 
 add_definitions(-DDEFAULT_STYLE=\"${DEFAULT_STYLE}\")
 
-CHECK_INCLUDE_FILES(termios.h HAVE_TERMIOS_H)
-CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
-
 #############################################################
 # Find necessary libraries
 #############################################################
@@ -190,15 +187,19 @@
 
 if (WITH_LUA)
     if (WITH_LUAJIT)
+        message(STATUS "Building with LuaJIT support")
         find_package(LuaJIT REQUIRED)
         include_directories(SYSTEM ${LUAJIT_INCLUDE_DIR})
-        set(HAVE_LUAJIT 1)
+        add_definitions(-DHAVE_LUAJIT=1)
     else()
+        message(STATUS "Building with Lua support")
         find_package(Lua REQUIRED)
         include_directories(SYSTEM ${LUA_INCLUDE_DIR})
     endif()
-    set(HAVE_LUA 1)
-    find_program(LUA_EXE lua)
+    add_definitions(-DHAVE_LUA=1)
+    find_program(LUA_EXE NAMES lua lua5.4 lua5.3 lua5.2 lua5.1)
+else()
+    message(STATUS "Building without Lua support")
 endif()
 
 find_package(Boost 1.50 REQUIRED COMPONENTS system filesystem)
@@ -221,7 +222,7 @@
         message(STATUS "Found proj_api.h")
         find_library(PROJ_LIBRARY NAMES proj)
         message(STATUS "Found Proj [API 4] ${PROJ_LIBRARY}")
-        set(HAVE_GENERIC_PROJ 1)
+        add_definitions(-DHAVE_GENERIC_PROJ=4)
         set(HAVE_PROJ4 1)
         list(APPEND LIBS ${PROJ_LIBRARY})
         include_directories(SYSTEM ${PROJ4_INCLUDE_DIR})
@@ -230,7 +231,7 @@
         find_library(PROJ_LIBRARY NAMES proj)
         if (PROJ_LIBRARY)
             message(STATUS "Found Proj [API 6] ${PROJ_LIBRARY}")
-            set(HAVE_GENERIC_PROJ 1)
+            add_definitions(-DHAVE_GENERIC_PROJ=6)
             set(HAVE_PROJ6 1)
             list(APPEND LIBS ${PROJ_LIBRARY})
             include_directories(SYSTEM ${PROJ6_INCLUDE_DIR})
@@ -275,12 +276,6 @@
 # Build the library and executable file
 #############################################################
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
-if (NOT HAVE_UNISTD_H AND NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/unistd.h)
-   file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/unistd.h "// empty header\n")
-endif()
-
 add_subdirectory(src)
 
 add_executable(osm2pgsql src/osm2pgsql.cpp)
@@ -319,6 +314,10 @@
         set(TESTING_TIMEOUT 1200)
     endif()
     add_subdirectory(tests)
+    configure_file(
+        ${PROJECT_SOURCE_DIR}/tests/run-behave.in
+        ${PROJECT_BINARY_DIR}/run-behave
+    )
 else()
     message(STATUS "Tests disabled. Set BUILD_TESTS=ON to enable tests.")
 endif()
@@ -336,6 +335,5 @@
 if (ENABLE_INSTALL)
     install(TARGETS osm2pgsql DESTINATION bin)
     install(PROGRAMS scripts/osm2pgsql-replication DESTINATION bin)
-    install(FILES docs/osm2pgsql-replication.1 DESTINATION share/man/man1)
     install(FILES default.style empty.style DESTINATION share/osm2pgsql)
 endif()
