=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
   expire-tiles.cpp
   gazetteer-style.cpp
   geom.cpp
+  geom-box.cpp
+  geom-from-osm.cpp
+  geom-functions.cpp
   input.cpp
   logging.cpp
   middle.cpp
@@ -18,7 +21,6 @@
   options.cpp
   ordered-index.cpp
   osmdata.cpp
-  osmium-builder.cpp
   output-gazetteer.cpp
   output-null.cpp
   output-pgsql.cpp
@@ -31,12 +33,14 @@
   taginfo.cpp
   tagtransform-c.cpp
   tagtransform.cpp
+  tile.cpp
   thread-pool.cpp
   util.cpp
   wildcmp.cpp
+  wkb.cpp
 )
 
-if (LUA_FOUND OR LUAJIT_FOUND)
+if (WITH_LUA)
     set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS
                  "${CMAKE_CURRENT_SOURCE_DIR}/init.lua")
     file(READ "${CMAKE_CURRENT_SOURCE_DIR}/init.lua" LUA_INIT_CODE)
@@ -44,6 +48,7 @@
     target_sources(osm2pgsql_lib PRIVATE
         flex-table.cpp
         flex-table-column.cpp
+        flex-lua-geom.cpp
         geom-transform.cpp
         lua-utils.cpp
         output-flex.cpp
