=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,7 @@
     target_link_libraries(${test_name} osm2pgsql_lib catch_main_lib)
     add_test(NAME ${test_name} COMMAND ${test_name})
 
-    set_tests_properties(${test_name} PROPERTIES TIMEOUT ${TESTING_TIMEOUT}
-                                                 ENVIRONMENT SRCPATH=${CMAKE_CURRENT_SOURCE_DIR})
+    set_tests_properties(${test_name} PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
 
     if (DEFINED test_param_LABELS)
         list(FIND test_param_LABELS Tablespace test_num_labels)
@@ -43,7 +42,16 @@
 set_test(test-db-copy-mgr)
 set_test(test-domain-matcher LABELS NoDB)
 set_test(test-expire-tiles LABELS NoDB)
-set_test(test-geom LABELS NoDB)
+set_test(test-geom-box LABELS NoDB)
+set_test(test-geom-collections LABELS NoDB)
+set_test(test-geom-linestrings LABELS NoDB)
+set_test(test-geom-multilinestrings LABELS NoDB)
+set_test(test-geom-multipoints LABELS NoDB)
+set_test(test-geom-multipolygons LABELS NoDB)
+set_test(test-geom-null LABELS NoDB)
+set_test(test-geom-points LABELS NoDB)
+set_test(test-geom-polygons LABELS NoDB)
+set_test(test-geom-transform LABELS NoDB)
 set_test(test-middle)
 set_test(test-node-locations LABELS NoDB)
 set_test(test-options-database LABELS NoDB)
@@ -65,26 +73,18 @@
 set_test(test-pgsql)
 set_test(test-reprojection LABELS NoDB)
 set_test(test-taginfo LABELS NoDB)
+set_test(test-tile LABELS NoDB)
 set_test(test-util LABELS NoDB)
 set_test(test-wildcard-match LABELS NoDB)
+set_test(test-wkb LABELS NoDB)
 
 # these tests require LUA support
-if (HAVE_LUA)
+if (WITH_LUA)
     set_test(test-output-flex)
-    set_test(test-output-flex-area)
-    set_test(test-output-flex-attr)
-    set_test(test-output-flex-bbox)
-    set_test(test-output-flex-cluster)
-    set_test(test-output-flex-invalid-geom)
-    set_test(test-output-flex-line)
-    set_test(test-output-flex-lua-fail)
-    set_test(test-output-flex-multigeom)
     set_test(test-output-flex-multi-input)
     set_test(test-output-flex-nodes)
-    set_test(test-output-flex-nogeom)
     set_test(test-output-flex-uni)
     set_test(test-output-flex-relations)
-    set_test(test-output-flex-relation-changes)
     set_test(test-output-flex-relation-combinations)
     set_test(test-output-flex-schema)
     set_test(test-output-flex-stage2)
@@ -99,7 +99,7 @@
     set_test(test-output-flex-way-relation-del)
 
     set_test(test-output-flex-example-configs)
-    set(FLEX_EXAMPLE_CONFIGS "attributes,compatible,data-types,generic,geometries,places,route-relations,simple,unitable")
+    set(FLEX_EXAMPLE_CONFIGS "attributes,bbox,compatible,data-types,generic,geometries,places,route-relations,simple,unitable")
     # with-schema.lua is not tested because it needs the schema created in the database
     set_tests_properties(test-output-flex-example-configs PROPERTIES ENVIRONMENT "EXAMPLE_FILES=${FLEX_EXAMPLE_CONFIGS}")
 endif()
@@ -120,24 +120,23 @@
 endif()
 
 
-find_package(PythonInterp 3)
+find_program(BEHAVE_BIN NAMES behave)
 
-if (PYTHONINTERP_FOUND)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/regression-test.py.in
-                   ${CMAKE_CURRENT_BINARY_DIR}/regression-test.py)
+if (BEHAVE_BIN)
+    foreach(BDD_TEST IN ITEMS command-line flex regression)
+        add_test(NAME bdd-${BDD_TEST}
+                 COMMAND behave -DBINARY=$<TARGET_FILE:osm2pgsql> ${BDD_TEST}
+                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/bdd)
+        message(STATUS "Added test: bdd-${BDD_TEST}")
+    endforeach(BDD_TEST)
 
-    add_test(NAME regression-test-pbf
-             COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/regression-test.py -v)
-    set_tests_properties(regression-test-pbf PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
-    set_tests_properties(regression-test-pbf
+    set_tests_properties(bdd-regression
                          PROPERTIES FIXTURES_REQUIRED Tablespace)
-    set_tests_properties(regression-test-pbf PROPERTIES ENVIRONMENT OSM2PGSQL_BINARY=$<TARGET_FILE:osm2pgsql>)
-    message(STATUS "Added test: regression-test-pbf (needs Python with psycopg2 module)")
 else()
-    message(WARNING "Can not find python, regression test disabled")
+    message(WARNING "Cannot find behave, BDD tests disabled")
 endif()
 
-if (HAVE_LUA)
+if (WITH_LUA)
     if (LUA_EXE)
         message(STATUS "Added test: lua-lib")
         add_test(NAME lua-lib COMMAND ${LUA_EXE} lua/tests.lua
