=== debian/changelog ===
osm2pgsql (1.7.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Replace manpage.patch with upstream changes.
  * Bump Standards-Version to 4.6.1, no changes.
  * Drop pr1641-osm2pgsql-replication-manpage.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Aug 2022 16:10:50 +0200
