=== debian/control ===
--- 
+++ 
@@ -22,9 +22,10 @@
                liblua5.3-dev,
                lua5.3,
                python3,
+               python3-argparse-manpage,
                python3-psycopg2,
                python3-pyosmium
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgsql
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgsql.git
 Homepage: https://osm2pgsql.org/
